import { Component } from 'react'
import Taro from '@tarojs/taro'
import store, { StoreRoot } from './store'

import './app.less'


class App extends Component {

  componentDidMount () { }

  componentDidShow () { }
  onLaunch (options) {
    // 登录获取人员信息

    Taro.getLocation({
      type: 'gcj02',
      success (res) {
        const location = `${res.longitude},${res.latitude}`
        Taro.setStorageSync('location', location)

      },
      fail (err) {
        console.error(err)
        // reject(err)
        Taro.showToast({
          title: '获取定位失败',
          icon: 'none',
        })
        // 默认邓州
        const location = '112.087493,32.687609';
        Taro.setStorageSync('location', location)


      }
    })

    const { logins } = store.getModel('userData').getState()

    Taro.login({
      success: (res) => {
        const { code } = res;
        logins({ code })

      }
    })

  }

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      <StoreRoot>
        {this.props.children}
      </StoreRoot>
    )
  }
}
export default App
