
import { View, Swiper, Image, SwiperItem, Text, Input } from "@tarojs/components"
import { useEffect, useState, useMemo } from "react"
import Taro, { useReachBottom } from "@tarojs/taro"
import ButtontWX from '@/components/ButtontWX'
import addresss from '@/assets/mineImgaes/addresss.png'//地址

import { getMachinery, } from "@/services/homes"


import './style.less'

export default (props) => {
  const location = Taro.getStorageSync('location')
  // const { carsList } = props

  const [carsList, setCarsList] = useState([])


  useEffect(() => {
    getMachinery(location).then((e) => {
      setCarsList(e.records)
    })

  }, [location])




  const startReserve = () => {
    Taro.navigateTo({ url: `/pages/OrderConfirmation/index?id${1}` })

  }
  const goCarsInfo = (res) => {
    Taro.navigateTo({ url: `/pages/CheckDetails/index?id=${res}&location=${location}` })

  }
  const goMapInfo = (res) => {
    Taro.navigateTo({ url: `/pages/CheckMap/index?id=${res}&location=${location}` })


  }


  return (


    <>
      {
        carsList.map((item, index) => {
          return (
            <View key={index} className='carsListImga-bottom-box'>
              <Image src={item.thumb} onClick={() => goCarsInfo(item.machineryId)} />
              <View className='carsListImga-bottom-box-flaxBox'>
                <View className='carsListImga-bottom-box-flaxBox-liftText'>
                  <View className='carsListImga-bottom-box-flaxBox-liftText-Titles'>{item.name}</View>
                  <View className='carsListImga-bottom-box-flaxBox-liftText-price'>{item.price}/<Text>公顷</Text></View>
                </View>
                <View className='carsListImga-bottom-box-flaxBox-rightBut'>
                  <ButtontWX onClick={startReserve} butText='预约' butWidth={80} butHeight={34} butFontSize={19} butBorderRadius={0} />
                </View>
              </View>
              <View className='content-header-box-map' onClick={() => goMapInfo(item.machineryId)}>
                <View className='content-header-box-map-liftCentent'>
                  <Image src={addresss} />
                  <View>距离当前位置公里</View>
                </View>
                <View className='content-header-box-map-rightCentent'>进入地图&gt;&gt;</View>
              </View>
            </View>
          )
        })
      }

    </>
  )
}
