
import { View, Image } from "@tarojs/components"
import Taro, { useDidShow } from "@tarojs/taro"
import { useState, useEffect, useMemo } from "react"
import UserCellBox from '@/components/UserCellBox'
import addresss from '@/assets/mineImgaes/addresss.png'//地址
import aboutUs from '@/assets/mineImgaes/aboutUs.png'//关于我们
import feedbacks from '@/assets/mineImgaes/feedbacks.png'//意见反馈
import helpCenter from '@/assets/mineImgaes/helpCenter.png'//帮助中心
import versionUpdate from '@/assets/mineImgaes/versionUpdate.png'//版本更新
import userMoren from '@/assets/mineImgaes/userMoren.png'//默认头像
import userRight from '@/assets/mineImgaes/userRight.png'
import { useModel } from "@/store"

import { getAddress } from "@/services/address"



import './MineCss/style.less'


export default (props) => {
  const { person } = useModel('userData')
  const [isLoginBox, setIsLoginBox] = useState(false)
  const [addresInfo, setAddresInfo] = useState('')

  const userList = [
    { userTitle: '关于我们', userImg: aboutUs, pageType: 0 },
    { userTitle: '版本更新', userImg: versionUpdate, pageType: 1 },
    { userTitle: '帮助中心', userImg: helpCenter, pageType: 2 },
    { userTitle: '意见反馈', userImg: feedbacks, pageType: 3 },
  ]

  const $instance = Taro.getCurrentInstance()


  const userInfo = useMemo(() => {
    console.log($instance.router.params, '$instance.router.params路由')
    if ($instance.router.params.userOk || person.phone) {
      setIsLoginBox(true)
      return { phone: person.phone, nickName: person.nickName, avatar: person.avatar }
    }

  }, [$instance.router.params, person])



  useDidShow(() => {
    getAddress().then((e) => {
      let abccList = e.records.sort((a, b) => b.isDefault - a.isDefault)
      setAddresInfo(abccList[0].address)
    })
  })
  useEffect(() => {

    getAddress().then((e) => {
      let abccList = e.records.sort((a, b) => b.isDefault - a.isDefault)
      console.log("🚀 ~ file: index.jsx ~ line 75 ~ getAddress ~ abccList", abccList)
      setAddresInfo(abccList[0].address)
    })
  }, [])

  const setAddress = (dd) => {
    Taro.navigateTo({ url: `/pages/MyAddressList/index?id${dd}` })

  }
  const goUserInfo = (dd) => {
    Taro.navigateTo({ url: `/pages/userInfo/index?id${dd}` })

  }

  const userLoginnow = () => {
    Taro.navigateTo({ url: `/pages/UserLogin/index?id` })
    // setIsLoginBox(true)
  }
  const goToPages = (res) => {

    switch (res) {
      case 0:
        Taro.navigateTo({ url: '/pages/AboutUsPage/index' })

        break;
      case 1:
        Taro.navigateTo({ url: '/pages/NewVersionUpdatePage/index' })

        break;
      case 2:
        Taro.navigateTo({ url: '/pages/HelpCenterInfo/index' })

        break;
      case 3:
        Taro.navigateTo({ url: '/pages/FeedbackText/index' })

        break;

      default:
        break;
    }
  }


  return (

    <scroll-view scrollY style='height: 100%;' >
      <View>
        {/* 头像 */}
        {
          !isLoginBox ?
            <View style={{ backgroundImage: "url(" + require("@/assets/mineImgaes/mineBack.png") + ")" }} className='User-Avatar-background-falseBox'>
              <Image className='User-Avatar-background-falseBox-userImg userImg' src={userMoren} />
              <View onClick={userLoginnow} className='User-Avatar-background-falseBox-userLogin' >点击登陆</View>
            </View>
            :
            <>
              <View style={{ backgroundImage: "url(" + require("@/assets/mineImgaes/mineBack.png") + ")" }} className='User-Avatar-background-trueBox'>
                <View className='setPassword' onClick={goUserInfo}>修改个人信息</View>
                <Image className='User-Avatar-background-trueBox-userImg' src={userInfo?.avatar || userMoren} />
                <View className='User-Avatar-background-trueBox-name'>
                  <View >{userInfo?.nickName}</View>
                  <View >{userInfo?.phone}</View>
                </View>

              </View>
              <UserCellBox title='地址信息'>
                <View className='addresss-box' onClick={setAddress} >
                  <Image className='addresss-box-images' src={addresss} />
                  <View className='addresss-box-contents'>
                    <View className='addresss-box-contents-texts' >{addresInfo}</View>
                    <View>》</View>
                  </View>
                </View>
              </UserCellBox>
            </>
        }


        {/* 菜单 */}
        <UserCellBox title='设置' >
          {
            userList.map((item, index) => {
              return (
                <View key={index} className='User-Setup-background-wxInfo-InfoCell' onClick={() => goToPages(item.pageType)}>
                  <Image className='User-Setup-background-wxInfo-InfoCell-imgae' src={item.userImg} />
                  <View className='box-flex'>
                    <View className='User-Setup-background-wxInfo-InfoCell-text'>{item.userTitle}</View>
                    <Image src={userRight} />
                  </View>
                </View>
              )
            })
          }

        </UserCellBox>

        {
          !isLoginBox ? '' :
            <View className='bottom-buttom'>退出登陆</View>
        }

      </View>
    </scroll-view>
  )
}
